## pypass 0.2.0

=== Makefile ===
.PHONY: build kill

build:
	sudo docker build -t pypass_image .

kill:
	- sudo docker stop pypass
	- sudo docker rm pypass

run: kill build
	sudo docker run -i -t --name pypass pypass_image bash

test: kill build
	sudo docker run -t --name pypass pypass_image bash -c "cd pypass && tox"

=== requirements.txt ===
click
colorama
enum34
pexpect

=== debian/changelog ===
pypass (0.2.0-1) unstable; urgency=low

  * Initial release. Closes: #824194

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 21 Jul 2016 00:24:03 +0800

=== debian/control ===
Source: pypass
Section: python
Priority: extra
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python3-all,
               python3-click,
               python3-colorama,
               python3-pbr,
               python3-pexpect,
               python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/aviau/python-pass
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pypass.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pypass.git
X-Python3-Version: >= 3.5

Package: pypass
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         gnupg,
         tree,
Description: lightweight directory-based password manager in python
 pypass is a password manager written in python that provides the same
 functionality as pass. In addition, it is useable as a library.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Cannot get the key 5C5833E3, so skip all tests

## pypass 0.2.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: build kill
+.PHONY: build kill setup_gpg
 
 build:
 	sudo docker build -t pypass_image .
@@ -13,3 +13,8 @@
 test: kill build
 	sudo docker run -t --name pypass pypass_image bash -c "cd pypass && tox"
 
+setup_gpg: pypass/tests/gnupg
+pypass/tests/gnupg: pypass/tests/test_key_sec.asc pypass/tests/test_ownertrust.txt
+	mkdir -m 700 -p pypass/tests/gnupg
+	GNUPGHOME=pypass/tests/gnupg gpg --allow-secret-key-import --import pypass/tests/test_key_sec.asc
+	GNUPGHOME=pypass/tests/gnupg gpg --import-ownertrust pypass/tests/test_ownertrust.txt

=== debian/changelog ===
pypass (0.2.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 06 Dec 2022 15:49:29 +0000

pypass (0.2.1-2) unstable; urgency=medium

  * Team upload.

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.6.0.
  * debian/rules: Use dh13 execute_after syntax.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove ancient X-Python3-Version field.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Sep 2021 22:55:35 -0400

pypass (0.2.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add the missing Breaks+Replaces: pypass (<< 0.2.1-1~) to
    python3-pypass, thanks to Andreas Beckmann. (Closes: #898381)

 -- Adrian Bunk <bunk@debian.org>  Fri, 08 Jun 2018 23:29:22 +0300

pypass (0.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4.
    * Use https in Format in debian/copyright.
    * Change priority to optional.
  * Bump compat to 11.
  * Add python3-pass Python library.
  * Remove unused patch.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 30 Apr 2018 08:01:50 +0800

=== debian/control ===
Source: pypass
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-click,
               python3-colorama,
               python3-pbr,
               python3-pexpect,
               python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://github.com/aviau/python-pass
Vcs-Browser: https://salsa.debian.org/python-team/packages/pypass
Vcs-Git: https://salsa.debian.org/python-team/packages/pypass.git

Package: pypass
Section: admin
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pypass (= ${source:Version}),
         gnupg,
         tree,
Description: lightweight directory-based password manager in Python
 pypass is a password manager written in Python that provides the same
 functionality as pass. In addition, it is useable as a library.

Package: python3-pypass
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
Description: pypass library for Python3
 pypass is a password manager written in Python that provides the same
 functionality as pass. In addition, it is useable as a library.
 .
 This package provides the library for Python3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME = pypass

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# Cannot get the key 5C5833E3, so skip all tests

execute_after_dh_auto_install:
	mkdir -p debian/pypass/usr/bin/
	mv debian/python3-pypass/usr/bin/pypass debian/pypass/usr/bin/

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pypass/pypass-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
